import { useState, useEffect } from 'react';
import debounce from 'lodash/debounce';
export default function useRenderOnResize() {
  var [_, setSize] = useState(window.innerWidth);
  useEffect(() => {
    var handleResize = debounce(() => setSize(window.innerWidth), 250);
    window.addEventListener('resize', handleResize, {
      capture: true
    });
    return () => window.removeEventListener('resize', handleResize, {
      capture: true
    });
  }, []);
}